Modify

Opened 9 years ago

Closed 6 years ago

#2474 closed defect (obsolete)

pcmcia drive usb 2.0 card fail!

Reported by: anonymous Owned by: developers
Priority: normal Milestone:
Component: packages Version: Kamikaze trunk
Keywords: pcmcia usb Cc:

Description

I use a wrt54g3g-st with NEC chip USB 2.0 pcmcia card.
Use openwrt-wrt54g3g-2.4-squashfs.bin

when i use this package,usb work in 1.1 mode,is ok!
ipkg install kmod-usb-ohci kmod-usb-storage kmod-pcmcia-core kmod-fs-ext3 cfdisk e2fsprogs swap-utils

when i use kmod-usb-storage kmod-pcmcia-core kmod-fs-ext3 cfdisk e2fsprogs swap-utils kmod-usb2 let usb work in 2.0 mode,read is ok,but write fail!
The info is:

CFE version 1.0.37 for BCM947XX (32bit,SP,LE)
Build Date: ??€ 9??? 12 17:36:00 CST 2005 (root@…)
Copyright (C) 2000,2001,2002,2003 Broadcom Corporation.

Initializing Arena
Initializing Devices.

No DPN
et0: Broadcom BCM47xx 10/100 Mbps Ethernet Controller 3.90.37.0
rndis0: Broadcom USB RNDIS Network Adapter (P-t-P)
CPU type 0x29007: 200MHz
Total memory: 16384 KBytes

Total memory used by CFE: 0x80300000 - 0x803A3660 (669280)
Initialized Data: 0x80339570 - 0x8033BC80 (10000)
BSS Area: 0x8033BC80 - 0x8033D660 (6624)
Local Heap: 0x8033D660 - 0x803A1660 (409600)
Stack Area: 0x803A1660 - 0x803A3660 (8192)
Text (code) segment: 0x80300000 - 0x80339570 (234864)
Boot area (physical): 0x003A4000 - 0x003E4000
Relocation Factor: I:00000000 - D:00000000

Boot version: v3.6
The boot is CFE

mac_init(): Find mac [00:16:B6:20:AB:B7] in location 0
Nothing...

No eou key find
Device eth0: hwaddr 00-16-B6-20-AB-B7, ipaddr 192.168.1.1, mask 255.255.255.0

gateway not set, nameserver not set

Reading :: Failed.: Timeout occured
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: .. 3732 bytes read
Entry at 0x80001000
Closing network.
Starting program at 0x80001000
CPU revision is: 00029007
Primary instruction cache 8kB, physically tagged, 2-way, linesize 16 bytes.
Primary data cache 4kB, 2-way, linesize 16 bytes.
Linux version 2.4.34 (nbd@ds10) (gcc version 3.4.6 (OpenWrt-2.0)) #3 Sun Sep 30
20:33:21 CEST 2007
Determined physical RAM map:

memory: 01000000 @ 00000000 (usable)

On node 0 totalpages: 4096
zone(0): 4096 pages.
zone(1): 0 pages.
zone(2): 0 pages.
Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 init=/etc/pre
init noinitrd console=ttyS0,115200
CPU: BCM4712 rev 1 at 200 MHz
Using 100.000 MHz high precision timer.
Calibrating delay loop... 197.42 BogoMIPS
Memory: 14224k/16384k available (1462k kernel code, 2160k reserved, 100k data, 8
0k init, 0k highmem)
Dentry cache hash table entries: 2048 (order: 2, 16384 bytes)
Inode cache hash table entries: 1024 (order: 1, 8192 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer cache hash table entries: 1024 (order: 0, 4096 bytes)
Page-cache hash table entries: 4096 (order: 2, 16384 bytes)
Checking for 'wait' instruction... unavailable.
POSIX conformance testing by UNIFIX
PCI: Initializing host
PCI: Fixing up bus 0
PCI: Fixing up bridge
PCI: Fixing up bus 1
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
Starting kswapd
Registering mini_fo version $Id$
devfs: v1.12c (20020818) Richard Gooch (rgooch@…)
devfs: boot_options: 0x1
JFFS2 version 2.1. (C) 2001 Red Hat, Inc., designed by Axis Communications AB.
squashfs: version 3.0 (2006/03/15) Phillip Lougher
pty: 256 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI en
abled
ttyS00 at 0xb8000300 (irq = 3) is a 16550A
ttyS01 at 0xb8000400 (irq = 3) is a 16550A
b44.c:v0.93 (Mar, 2004)
eth0: Broadcom 47xx 10/100BaseT Ethernet 00:16:b6:20:ab:b7
cfi_cmdset_0001: Erase suspend on write enabled
Using word write method
Flash device: 0x400000 at 0x1c000000
bootloader size: 262144
Physically mapped flash: Filesystem type: squashfs, size=0x121cc8
Creating 5 MTD partitions on "Physically mapped flash":
0x00000000-0x00040000 : "cfe"
0x00040000-0x003f0000 : "linux"
0x000be400-0x001f0000 : "rootfs"
mtd: partition "rootfs" doesn't start on an erase block boundary -- force read-o
nly
0x003f0000-0x00400000 : "nvram"
0x001f0000-0x003f0000 : "rootfs_data"
sflash: found no supported devices
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP: Hash tables configured (established 1024 bind 2048)
ip_conntrack version 2.1 (5953 buckets, 5953 max) - 360 bytes per conntrack
ip_tables: (C) 2000-2002 Netfilter core team
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
NET4: Ethernet Bridge 008 for NET4.0
802.1Q VLAN Support v1.8 Ben Greear <greearb@…>
All bugs added by David S. Miller <davem@…>
VFS: Mounted root (squashfs filesystem) readonly.
Mounted devfs on /dev
Freeing unused kernel memory: 80k freed
Algorithmics/MIPS FPU Emulator v1.5
mount: mounting none on /sys failed
mount: mounting none on /dev failed

  • preinit -

diag: Detected 'Linksys WRT54G3G'
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
Probing device eth0: found!
switching to jffs2
mini_fo: using base directory: /
mini_fo: using storage directory: /jffs

  • init -

init started: BusyBox v1.4.2 (2007-09-29 09:01:24 CEST) multi-call binary

Please press Enter to activate this console. jffs2.bbc: SIZE compression mode ac
tivated.
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.

BusyBox v1.4.2 (2007-09-29 09:01:24 CEST) Built-in shell (ash)
Enter 'help' for a list of built-in commands.

_

| |.-----.-----.-----.| | | |.----.| |_

| - |_
_ | -| | | _ _|
|_||| ||

|| W I R E L E S S F R E E D O M

KAMIKAZE (7.09) -----------------------------------

  • 10 oz Vodka Shake well with ice and strain
  • 10 oz Triple sec mixture into 10 shot glasses.
  • 10 oz lime juice Salute!

---------------------------------------------------

root@OpenWrt:/#
root@OpenWrt:/# BFL_ENETADM not set in boardflags. Use force=1 to ignore.
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
device eth0.0 entered promiscuous mode
eth0.0: dev_set_promiscuity(master, 1)
device eth0 entered promiscuous mode
br-lan: port 1(eth0.0) entering learning state
br-lan: port 1(eth0.0) entering forwarding state
br-lan: topology change detected, propagating
wl0: Broadcom BCM4320 802.11 Wireless Controller 4.80.53.0
Journalled Block Device driver loaded
Linux Kernel Card Services 3.1.22

options: [pci] [cardbus]

PCI: Enabling device 01:01.0 (0000 -> 0002)
Yenta ISA IRQ mask 0x06f8, PCI irq 2
Socket status: 30000820
cs: cb_alloc(bus 2): vendor 0x1033, device 0x0035
PCI: Enabling device 02:00.0 (0000 -> 0002)
PCI: Enabling device 02:00.1 (0000 -> 0002)
PCI: Enabling device 02:00.2 (0000 -> 0002)
ehci_hcd 02:00.2: PCI device 1033:00e0
ehci_hcd 02:00.2: irq 2, pci mem c01ca000
usb.c: new USB bus registered, assigned bus number 1
ehci_hcd 02:00.2: USB 2.0 enabled, EHCI 1.00, driver 2003-Dec-29/2.4
hub.c: USB hub found
hub.c: 5 ports detected
SCSI subsystem driver Revision: 1.00
Initializing USB Mass Storage driver...
usb.c: registered new driver usb-storage
USB Mass Storage support registered.
hub.c: new USB device 02:00.2-2, assigned address 2
scsi0 : SCSI emulation for USB Mass Storage devices

Vendor: SAMSUNG Model: MP0402H Rev: YQ20
Type: Direct-Access ANSI SCSI revision: 02

Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sda: 78242976 512-byte hdwr sectors (40060 MB)
Partition check:

/dev/scsi/host0/bus0/target0/lun0: p1 p2 p3 p4

root@OpenWrt:/#
root@OpenWrt:/# mkfs.ext3 /dev/scsi/host0/bus0/target0/lun0/part3
mke2fs 1.39 (29-May-2006)
Filesystem label=
OS type: Linux
Block size=1024 (log=0)
Fragment size=1024 (log=0)
488448 inodes, 3903792 blocks
195189 blocks (5.00%) reserved for the super user
First data block=1
477 block groups
8192 blocks per group, 8192 fragments per group
1024 inodes per group
Superblock backups stored on blocks:

8193, 24577, 40961, 57345, 73729, 204801, 221185, 401409, 663553,
1024001, 1990657, 2809857

Writing inode tables: 19Unable to handle kernel paging request at virtual addre
ss 0000001b, epc == c01eac14, ra == c01eab48
Oops in fault.c::do_page_fault, line 206:
$0 : 00000000 1000fc00 80ce7380 00000000 80a77f78 00000000 00000000 80a77f20
$8 : 00000000 80136f38 00000000 80187000 80185720 00000001 00000200 00000400
$16: 809cd000 80cbb17c 00000000 0001fc00 00000488 809cd000 c0018200 00000000
$24: 00000003 2ad01860 80ba0000 80ba1df8 00000000 c01eab48
Hi : 00000000
Lo : 00000e80
epc : c01eac14 Tainted: P
Status: 1000fc03
Cause : 00000008
PrId : 00029007
Process usb-storage-0 (pid: 281, stackpage=80ba0000)
Stack: 80cbb000 00000000 c01ea338 00000000 80cbb16c 8000fa14 80cbb000

80cbb17c c0018200 00300000 80ba1e90 0001fc00 80982d20 c01f0000 00000000
c01eb0b0 80982d00 0000001f 80982d20 c01f0000 809cd000 00000021 0001fc00
00000030 ffffff7d 80cbb000 0001fc00 80cbb000 00000000 80cbba00 c01eb310
00000000 c01ea338 00000000 00000000 00000000 0001fc00 80ba1e90 00000000
00000000 ...

Call Trace: [<c01ea338>] [<8000fa14>] [<c01f0000>] [<c01eb0b0>] [<c01f0000>]

[<c01eb310>] [<c01ea338>] [<c01ebe8c>] [<80010000>] [<80010000>] [<c01eb434>]
[<c01f8050>] [<80010000>] [<c01f8050>] [<c01e97f8>] [<c01eca30>] [<8000fb34>]
[<c01ec590>] [<c01f8050>] [<c01ec590>] [<80003530>] [<80011940>] [<c01ebbd0>]
[<c00d602c>] [<80003520>]

Code: 8e030004 01021021 8c470000 <9064001b> 3c02801b 2442a5d4 00042080 0082
2021 8c820000

37/477

Attachments (1)

USB2 err.txt (9.3 KB) - added by anonymous 9 years ago.

Download all attachments as: .zip

Change History (4)

comment:1 Changed 9 years ago by anonymous

Anyone can help me?

comment:2 Changed 9 years ago by anonymous

I used Kamikaze 7.09!!!

Changed 9 years ago by anonymous

comment:3 Changed 6 years ago by thepeople

  • Resolution set to obsolete
  • Status changed from new to closed
  • Version set to Kamikaze trunk

[patchteam] This seems obsolete, if it is still an issue please submit a new ticket.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.